import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { ConsolidatedItemsPosition } from "./ConsolidatedItemsPosition";
import { SeriesView } from "./SeriesView";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ColumnSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bp(): SeriesView;
    s6: ColumnSeriesView;
    kk(a: SeriesView): void;
    bv(): SeriesVisibleRangeMode;
    protected p4(): CategoryTransitionInMode;
    constructor();
    ta: number;
    tb: number;
    protected get_cu(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    private tc;
    n2(a: Point): Rect;
    dy(a: Point, b: boolean): boolean;
    jl(a: boolean, b: SeriesView): void;
    e9(): number;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    private s7;
    s8: ConsolidatedItemsPosition;
    private s9;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ColumnSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    as(): void;
    protected da: ColumnSeries;
    constructor(a: ColumnSeries);
    di(): Rectangle;
    protected dc: List$1<Rectangle>;
    dd(a: Rectangle): void;
    df(a: Rectangle): void;
    de(a: Rectangle): void;
    dg(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private dh;
    protected ab(a: number): any;
    protected a6(a: RenderingContext, b: boolean): void;
    db: Pool$1<Rectangle>;
    al(a: any): void;
}
